﻿'//DotNetNuke - http://www.dotnetnuke.com
'// Copyright (c) 2002-2010
'// by DotNetNuke Corporation
'//
'// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
'// documentation files (the "Software"), to deal in the Software without restriction, including without limitation
'// the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and
'// to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'//
'// The above copyright notice and this permission notice shall be included in all copies or substantial portions
'// of the Software.
'//
'// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
'// TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
'// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
'// CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
'// DEALINGS IN THE SOFTWARE.
Imports DotNetNuke.Common.Utilities
Imports DotNetNuke.Modules.dnnsimplearticle.Data

Namespace Components
    Public Class ArticleController

        Public Shared Function GetArticle(ByVal articleId As Integer) As Article
            Return CBO.FillObject(Of Article)(DataProvider.Instance().GetArticle(articleId))
        End Function

        Public Shared Function GetArticles(ByVal moduleId As Integer) As List(Of Article)
            Return CBO.FillCollection(Of Article)(DataProvider.Instance().GetArticles(moduleId, 1000, 0))
        End Function

        Public Shared Function GetArticles(ByVal moduleId As Integer, ByVal pageSize As Integer, ByVal pageNumber As Integer) As List(Of Article)
            Return CBO.FillCollection(Of Article)(DataProvider.Instance().GetArticles(moduleId, pageSize, pageNumber))
        End Function

        Public Shared Function SaveArticle(ByVal a As Article, ByVal tabId As Integer) As Integer
            If a.ArticleId < 1 Then
                a.ArticleId = DataProvider.Instance.AddArticle(a)
                Dim cntTaxonomy As New Taxonomy.Content
                Dim objContentItem = cntTaxonomy.CreateContentItem(a, tabId)
                a.ContentItemId = objContentItem.ContentItemId
                SaveArticle(a, tabId)
            Else
                DataProvider.Instance.UpdateArticle(a)
                Dim cntTaxonomy As New Taxonomy.Content
                cntTaxonomy.UpdateContentItem(a, tabId)
            End If
            Return a.ArticleId
        End Function

        Public Shared Sub DeleteArticle(ByVal articleId As Integer)
            DataProvider.Instance.DeleteArticle(articleId)
        End Sub

        Public Shared Sub DeleteArticles(ByVal moduleId As Integer)
            DataProvider.Instance.DeleteArticles(moduleId)
        End Sub

    End Class

End Namespace