﻿'//DotNetNuke - http://www.dotnetnuke.com
'// Copyright (c) 2002-2010
'// by DotNetNuke Corporation
'//
'// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
'// documentation files (the "Software"), to deal in the Software without restriction, including without limitation
'// the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and
'// to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'//
'// The above copyright notice and this permission notice shall be included in all copies or substantial portions
'// of the Software.
'//
'// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
'// TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
'// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
'// CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
'// DEALINGS IN THE SOFTWARE.
Imports DotNetNuke.Entities.Content.Common
Imports DotNetNuke.Modules.dnnsimplearticle.Components
Imports DotNetNuke.Entities.Modules

Namespace Controls


    Partial Public Class ArticleView
        Inherits dnnsimplearticleModuleBase

        Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
            If ArticleId > 0 Then
                Dim curArticle = ArticleController.GetArticle(ArticleId)
                'display article info on the view control

                plArticleTitle.Controls.Add(New LiteralControl(curArticle.Title))
                plArticleBody.Controls.Add(New LiteralControl(Server.HtmlDecode(curArticle.Body)))

                'display categories in the TagsControl
                tagsControl.ShowCategories = True
                tagsControl.ShowTags = False

                Dim mc As New ModuleController()
                Dim mi As ModuleInfo = mc.GetModuleByDefinition(PortalId, "Search Results")
                If (Not mi Is Nothing) Then

                    tagsControl.NavigateUrlFormatString = Common.Globals.NavigateURL(mi.TabID, String.Empty, "Tag={0}")
                    tagsControl.ContentItem = DotNetNuke.Entities.Content.Common.Util.GetContentController.GetContentItem(curArticle.ContentItemId)
                    tagsControl.DataBind()
                End If

                Dim tp As CDefault = CType(Page, CDefault)
                tp.Title = curArticle.Title
                tp.Description = curArticle.Description
                tp.KeyWords += "," + curArticle.Terms.ToDelimittedString(",")

            End If
        End Sub

    End Class

End Namespace
